'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  font-size: 1.5em;\n  ', ';\n  ', ';\n  color: palevioletred;\n'], ['\n  font-size: 1.5em;\n  ', ';\n  ', ';\n  color: palevioletred;\n']);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noWrap = '\n  overflow: \'hidden\',\n  textOverflow: \'ellipsis\',\n  whiteSpace: \'nowrap\',\n';

var H1 = _styledComponents2.default.h1(_templateObject, function (props) {
  return props.align && 'text-align: ' + props.align + ';';
}, function (props) {
  return props.noWrap && noWrap;
});

H1.propTypes = {
  /**
   * Set the text-align on the component.
   */
  align: _propTypes2.default.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  /**
   * The content of the component.
   */
  children: _propTypes2.default.node,
  /**
   * If `true`, the text will not wrap, but instead will truncate with an ellipsis.
   */
  noWrap: _propTypes2.default.bool
};

H1.defaultProps = {
  align: 'inherit',
  color: 'default',
  gutterBottom: false,
  noWrap: false
};

exports.default = H1;