import * as React from 'react';
import { StandardProps, PropTypes } from '..';
import { Style } from '../styles/createTypography';

export interface TitleProps
  extends StandardProps<React.HTMLAttributes<HTMLElement>, TitleClassKey> {
  align?: PropTypes.Alignment;
  noWrap?: boolean;
}

export type TitleClassKey =
  | 'root'
  | 'noWrap'

declare const Title: React.ComponentType<TitleProps>;

export default Title;
